Bug 130197 - Remove all uses of deprecatedCharacters from WebKit2
Summary: Remove all uses of deprecatedCharacters from WebKit2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks: 126854
  Show dependency treegraph
 
Reported: 2014-03-13 09:51 PDT by Darin Adler
Modified: 2014-10-22 17:20 PDT (History)
8 users (show)

See Also:


Attachments
Patch (25.84 KB, patch)
2014-03-13 09:52 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (26.94 KB, patch)
2014-03-15 18:40 PDT, Darin Adler
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2014-03-13 09:51:22 PDT
Remove all uses of deprecatedCharacters from WebKit2
Comment 1 Darin Adler 2014-03-13 09:52:06 PDT
Created attachment 226596 [details]
Patch
Comment 2 Darin Adler 2014-03-15 18:40:23 PDT
Created attachment 226829 [details]
Patch
Comment 3 Andreas Kling 2014-03-15 23:18:46 PDT
Comment on attachment 226829 [details]
Patch

r=me
Comment 4 Darin Adler 2014-03-15 23:22:28 PDT
Committed r165692: <http://trac.webkit.org/changeset/165692>
Comment 5 Myles C. Maxfield 2014-10-22 17:20:34 PDT
Comment on attachment 226829 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=226829&action=review

> Source/WTF/wtf/text/StringView.h:91
> +    class UpconvertedCharacters {

This is fantastic. Thank you for making this.